from setuptools import setup,find_packages
import fastentrypoints

with open('README.rst') as f:
    long_description = f.read()

VERSION = "0.4"

setup(
    name='xaal.tools',
    version=VERSION,
    license='GPL License',
    author='Jerome Kerdreux',
    author_email='Jerome.Kerdreux@imt-atlantique.fr',
    #url='',
    description=('xAAL devices tools'),
    long_description=long_description,
    classifiers=[
        'Programming Language :: Python',
        'Topic :: Software Development :: Libraries :: Python Modules',
    ],
    keywords=['xaal', 'tools'],
    platforms='any',
    packages=find_packages(),
    include_package_data=True,

  entry_points = {
      'console_scripts': [
          'xaal-isalive    = xaal.tools.toolbox:is_alive',
          'xaal-info       = xaal.tools.toolbox:info',
          'xaal-walker     = xaal.tools.toolbox:walker',
          'xaal-dumper     = xaal.tools.toolbox:dumper',
          'xaal-log        = xaal.tools.toolbox:log',
          'xaal-querydb    = xaal.tools.toolbox:query_db',
          'xaal-cleandb    = xaal.tools.toolbox:clean_db',
          'xaal-send       = xaal.tools.toolbox:send',
          'xaal-tail       = xaal.tools.toolbox:tail',
          'xaal-pkgrun     = xaal.tools.toolbox:pkgrun',
          'xaal-keygen     = xaal.tools.keygen:main',
          'xaal-uuidgen    = xaal.tools.uuidgen:main',
          'xaal-shell      = xaal.tools.toolbox:shell',
      ],
    },
    
    install_requires=[
        'xaal.lib',
        'colored'
    ]
)
